# Interface MultiPointReader.ExtrasReader

Enclosing interface:
  `MultiPointReader`

public static interface MultiPointReader.ExtrasReader
Reads the non-central data positions for a MultiPointCoordSet.

Since:
  8 Feb 2023
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`readPoints(Tuple tuple, double[] dpos0, double[][] dposExtras)`
Reads the non-central points from a supplied tuple.

## Method Details

### readPoints

boolean readPoints(Tuple tuple, double[] dpos0, double[][] dposExtras)
Reads the non-central points from a supplied tuple. The central data position must be supplied as input.

Parameters:
  `tuple` - tuple
  `dpos0` - nDataDim-element array giving central data position
  `dposExtras` - [nPointCount][nDataDim]-shaped array into which the non-central data positions will be written
Returns:
  true iff the conversion was successful